Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Plugin Development Environment (PDE) » Dependency required and class I could extend for warning signs in import statments(Building an eclipse plugin. What dependency and which class could I extend to implement warning signs in Java and Effective pom files for a project?)
Dependency required and class I could extend for warning signs in import statments [message #1819211] Fri, 10 January 2020 05:27
Ron Don is currently offline Ron DonFriend
Messages: 1
Registered: January 2020
Junior Member
I am a bit new to eclipse plugin development. My requirement:

I want to show warning signs(like screenshot attached) in the import statements Java files and effective pom files of Java projects based on some parameters.

Assuming eclipse already has some classes and functions for this, I would like to know what dependencies I could add in my Manifest file of my Eclipse Plugin and which class I could extend and functions I could use to implement my requirement?
Previous Topic:Creating a context menu entry for projects in the Project Explorer (E4)
Next Topic:Plug-In to Create a new Project
Goto Forum:
  


Current Time: Sat Jul 24 06:55:11 GMT 2021

Powered by FUDForum. Page generated in 0.01543 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top